

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% vxeval.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% evaluate function f=f(x) and keep books
% but best point information must be updated outside
% 
% m-file called in vx* routines

if 0, 
  % check for correct fbest
  ff=fcn(xbest);
  if abs(ff-fbest)>1e-6,
    nfused
    [ff;fbest]
    error('bad fbest E');
  end;
end;

% check stopping test
done=~all(nfused<nftarget | ~(fbest<=ftarget));
done=(done| toc(tinit)>=maxsec);
if done, 
  f=NaN;
  return; 
end;
f=fcn(x);
nfused=nfused+1;
if nfused==nfi,
  % update flist 
  flist(2,ilist)=fbest;
  ilist=ilist+1;
  if ilist>size(flist,2), nfi=inf;
  else                    nfi=flist(1,ilist);
  end;
end;

% safeguard for huge function values
if ~(f<1e15),
  if isfinite(f), f=1e15*(1+log(f));
  else            f=1e15*(1+realmax);
  end;
end;

