

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% vxkink.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% finds alp for a piecewise linear kink interpolation step
% 

switch kink
case 0 
  % without central point
  kl=kk-1;
  kr=kk+1;
case -1
  % center to left 
  kl=kk;
  kr=kk+1;
case 1 
  % center to right
  kl=kk-1;
  kr=kk;
end;

% intersect interpolant of kk-{1,2} with that of kk+{1,2}
  al=asorted(kl);
  fl=fsorted(kl);
  dl=(fsorted(kl-1)-fl)/(asorted(kl-1)-al);
  ar=asorted(kr);
  fr=fsorted(kr);
  dr=(fsorted(kr+1)-fr)/(asorted(kr+1)-ar);
  kink=(dl*dr<0);
  if kink, 
    alp=(fl-dl*al-fr+dr*ar)/(dr-dl);
    if alp<asorted(kl), alp=asorted(kr)/100; end;
    if alp>asorted(kr), alp=asorted(kl)/100; end;
  end;
