 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% vxrand.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function x=vxrand(low,upp);
% returns a random vector x in [low,upp]
% uniform in the components where upp-low is finite, 
% and nonuniform otherwise
%
function x=vxrand(low,upp);

x=low+rand(size(low)).*(upp-low);

ind=find(~isfinite(x));
for i=ind(:)', 
  if isinf(upp(i)),
    if isinf(low(i)), x(i)=randn;
    elseif low(i)==0,  x(i)=abs(randn);
    elseif low(i)>0,   x(i)=low(i)*(1+abs(randn));
    elseif rand<0.5, x(i)=rand*low(i); 
    else x(i)=abs(randn);
    end;
  else % low(i)=-inf, upp(i) finite
    if upp(i)==0, x(i)=-abs(rd);
    elseif upp(i)<0, x(i)=upp(i)*(1+abs(randn));
    elseif rand<0.5, x(i)=rand*upp(i); 
    else x(i)=-abs(randn);
    end;
  end; % if isinf
end; 

